Subject: Re: [PATCH/RFCv2 1/2] git-rebase -i: add command "drop" to remove a commit

From: Matthieu Moy <[email-masked]>
Date: Mon, 01 Jun 2015 19:06:04 +0200

Junio C Hamano <[email-masked]> writes:

> Galan Rémi  <[email-masked]> writes:
>
>> Instead of removing a line to remove the commit, you can use the
>> command "drop" (just like "pick" or "edit"). It has the same effect as
>> deleting the line (removing the commit) except that you keep a visual
>> trace of your actions, allowing a better control and reducing the
>> possibility of removing a commit by mistake.
>>
>> Signed-off-by: Galan Rémi <[email-masked]>
>> ---
>
> Matthieu, is this part of your class project?

Yes it is.

> I vaguely recall that your school wants your sign-off to release
> patches to us or something like that, and that I saw some other
> patches came with your sign-off, so I am being curious.

There's no strict requirement, but since the students are working under
my guidance I think it makes sense to have my sign-off. The rule which
applies by default for students is "don't distribute your code"
(symmetrical to "don't use other students code"), which obviously does
not apply for this project: I do allow them to contribute their code!

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/